* BACKUP.CMD
* M. Lynn
ERASE

DO WHILE T
@ 5, 5 SAY 'Which databases to you wish to backup?'
@ 7, 5 SAY '1-  BUSINESS'
@ 9, 5 SAY '2-  PERSONAL'
@ 11, 5 SAY '3-  BOTH'
@ 13, 5 SAY '4-  RETURN TO PREVIOUS MENU'
@ 20, 0 SAY '-------------------------------------------------------------------------'
@ 21, 0 SAY '|                                                                        |'
@ 22, 0 SAY '-------------------------------------------------------------------------'
SET CONSOLE OFF
WAIT TO next
SET CONSOLE ON



DO CASE

CASE next = '1'
@ 7, 3 SAY '*'
@ 21, 3 SAY 'Enter a single letter for the drive where the copies should go: '
SET CONSOLE OFF
WAIT TO drive
SET CONSOLE ON
@ 21, 0 SAY '|                                                                        |'
STORE drive+':BUS-BACK' TO dbf
@ 21, 3 SAY 'COPYING BUSINESS TO '+dbf
USE BUSINESS
COPY TO &dbf
@ 7, 3 SAY ' '
@ 21, 0 SAY '|                                                                        |'

CASE next = '2'
@ 9, 3 SAY '*'
@ 21, 3 SAY 'Enter a single letter for the drive where the copies should go: '
SET CONSOLE OFF
WAIT TO drive
SET CONSOLE ON
@ 21, 0 SAY '|                                                                        |'
STORE drive+':PER-BACK' TO dbf
@ 21, 3 SAY 'COPYING PERSONAL TO '+dbf
USE PERSONAL
COPY TO &dbf
@ 9, 3 SAY ' '
@ 21, 0 SAY '|                                                                        |'

CASE next = '3'
@ 11, 3 SAY '*'
@ 21, 3 SAY 'Enter a single letter for the drive where the copies should go: '
SET CONSOLE OFF
WAIT TO drive
SET CONSOLE ON
@ 21, 0 SAY '|                                                                        |'
STORE drive+':BUS-BACK' TO dbf
@ 21, 3 SAY 'COPYING BUSINESS TO '+dbf
USE BUSINESS
COPY TO &dbf
@ 21, 0 SAY '|                                                                        |'
STORE drive+':PER-BACK' TO dbf
@ 21, 3 SAY 'COPYING PERSONAL TO '+dbf
USE PERSONAL
COPY TO &dbf
@ 11, 3 SAY ' '
@ 21, 0 SAY '|                                                                        |'

OTHERWISE
@ 13, 3 SAY '*'
@ 21, 3 SAY 'RETURNING TO MENU'
IF file = '1'
USE PERSONAL
ELSE
USE BUSINESS
RETURN

ENDCASE
ENDDO

@ 13, 3 SAY '*'
@ 21, 3 SAY 'RETURNING TO M